Skip to main content
`Ctrl`+`K`

# TSPostStage

Runs the user-defined post-stage function set using `TSSetPostStage()`

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSPostStage(TS ts, PetscReal stagetime, PetscInt stageindex, Vec Y[])

Collective

## Input Parameters

- ts - The `TS` context obtained from `TSCreate()`

- stagetime - The absolute time of the current stage

- stageindex - Stage number

- Y - Array of vectors (of size = total number of stages) with the stage solutions

## Note

`TSPostStage()` is typically used within time stepping implementations, most users would not generally call this routine themselves.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSPreStage()`, `TSSetPreStep()`, `TSPreStep()`, `TSPostStep()`

## Level

developer

## Location

src/ts/interface/ts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages